package com.clx.performance.feign;

import com.clx.performance.param.feign.transport.ThirdOrderChildBrokerParam;
import com.msl.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(name = "transport-service-yitu")
@RequestMapping(value = "/transport-service/feign/order")
public interface TransportFeignService {

    /**
     * 运单同步
     */
    @RequestMapping(value = "/orderChildSync", method = RequestMethod.POST)
    Result<Integer> orderChildSync(@RequestBody ThirdOrderChildBrokerParam param);

}
