package com.clx.performance.param.feign.transport;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
@NoArgsConstructor
public class OrderChildBankInfoDTO {

    @ApiModelProperty(value = "运单号", dataType="String")
    private String childNo;
    @ApiModelProperty(value = "用户钱包", dataType="Integer")
    private Integer userCode;
    @ApiModelProperty(value = "持卡人姓名", dataType="String")
    private String name;
    @ApiModelProperty(value = "银行卡卡号", dataType="String")
    private String cardNo;
    @ApiModelProperty(value = "手机号", dataType="String")
    private String mobile;
    @ApiModelProperty(value = "账户类型 11个人 12企业账户", dataType="Integer")
    private Integer accountType;
    @ApiModelProperty(value = "银行卡类型10借记卡20借贷卡", dataType="String")
    private String type;
    @ApiModelProperty(value = "是否允许提现: 允许提现1 ,禁止提现0", dataType="Integer")
    private Integer cashOut;
    @ApiModelProperty(value = "身份证号", dataType="String")
    private String idCard;
    @ApiModelProperty(value = "银行", dataType="String")
    private String bank;
    @ApiModelProperty(value = "银行编码", dataType="String")
    private String bankCode;
    @ApiModelProperty(value = "身份证正面图片")
    private String idCardFrontImg;
    @ApiModelProperty(value = "身份证背面图片")
    private String idCardBackImg;
    @ApiModelProperty(value = "创建时间", dataType="String")
    private String createTime;
    @ApiModelProperty(value = "修改时间", dataType="String")
    private String modifiedTime;

}
