package com.clx.performance.param.feign.transport;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
@NoArgsConstructor
public class OrderChildDriverInfoDTO {

    @ApiModelProperty(value = "运单号", dataType="String")
    private String childNo;
    @ApiModelProperty(value = "司机ID", dataType="Integer")
    private Integer driverId;
    @ApiModelProperty(value = "手机号", dataType="String")
    private String mobile;
    @ApiModelProperty(value = "姓名", dataType="String")
    private String name;
    @ApiModelProperty(value = "性别1男2女", dataType="Integer")
    private Integer sex;
    @ApiModelProperty(value = "头像相对地址", dataType="String")
    private String headImg;
    @ApiModelProperty(value = "钱包账号", dataType="String")
    private String walletCode;
    @ApiModelProperty(value = "身份证号", dataType="String")
    private String cardNo;
    @ApiModelProperty(value = "身份证有效期起始时间", dataType="String")
    private String cardStartTime;
    @ApiModelProperty(value = "身份证有效期终止时间", dataType="String")
    private String cardEndTime;
    @ApiModelProperty(value = "是否是长期 0-非长期 1-长期", dataType="Integer")
    private Integer cardLongTerm;
    @ApiModelProperty(value = "身份证正面图片地址", dataType="String")
    private String cardFrontImg;
    @ApiModelProperty(value = "身份证背面图片地址", dataType="String")
    private String cardBackImg;
    @ApiModelProperty(value = "手持身份证照片地址", dataType="String")
    private String faceCardImg;
    @ApiModelProperty(value = "驾驶证号码", dataType="String")
    private String licenceNo;
    @ApiModelProperty(value = "初次领证日期", dataType="String")
    private String licenseTime;
    @ApiModelProperty(value = "驾照类型", dataType="String")
    private String licenceClass;
    @ApiModelProperty(value = "驾驶证正面图片", dataType="String")
    private String licenceImg;
    @ApiModelProperty(value = "驾驶证背面图片", dataType="String")
    private String licenceBackImg;
    @ApiModelProperty(value = "驾驶证有效期起始时间", dataType="String")
    private String licenceStartTime;
    @ApiModelProperty(value = "驾驶证有效期终止时间", dataType="String")
    private String licenceEndTime;
    @ApiModelProperty(value = "道路运输许可证图片地址", dataType="String")
    private String transportLicenceImg;
    @ApiModelProperty(value = "道路运输从业资格证号", dataType="String")
    private String occupationalLicenceNo;
    @ApiModelProperty(value = "道路运输从业资格证图片地址", dataType="String")
    private String occupationalLicenceImg;
    @ApiModelProperty(value = "从业资格证有效期起始时间", dataType="String")
    private String occupationalStartTime;
    @ApiModelProperty(value = "从业资格证有效期终止时间", dataType="String")
    private String occupationalEndTime;
    @ApiModelProperty("驾驶证发证机关")
    private String licenceIssueOrganization;
    @ApiModelProperty("身份证住址")
    private String idCardAddress;
    @ApiModelProperty(value = "创建时间", dataType="String")
    private String createTime;
    @ApiModelProperty(value = "修改时间", dataType="String")
    private String modifiedTime;

}
